Bug 261062 - JJ: Mark episodes to keep
Summary: JJ: Mark episodes to keep
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Podcast (show other bugs)
Version: 2.4-GIT
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-23 11:43 UTC by Bart Cerneels
Modified: 2012-09-25 23:13 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments
Now downloaded episodes are kept in HD, if "keep episode" checkbox is checked. These "kept" episodes are shown in the list regardless of the purgecount, even if they are not downloaded. (32.89 KB, patch)
2011-04-01 17:00 UTC, Lucas Lira Gomes
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bart Cerneels 2010-12-23 11:43:19 UTC
Version:           2.4-GIT
OS:                Linux

Currently downloaded files are not kept when the episode is no longer shown in the Podcast section. This behavior can not be configured but is tied to the purge settings of each channel.

It's possible to add a "keep downloaded file" checkbox to episodes to prevent the deletion from happening. We should perhaps also show these "kept" episodes in the list regardless of the purgecount. So even if a channel has purgecount 5 and 3 episodes marked to keep it will show 5 + maximum 3 older kept episodes.

Reproducible: Always
Comment 1 Lucas Lira Gomes 2011-04-01 17:00:35 UTC
Created attachment 58502 [details]
Now downloaded episodes are kept in HD, if "keep episode" checkbox is checked.  These "kept" episodes are shown in the list regardless of the purgecount, even if they  are not downloaded.

This is the diff between older source code and the source code with my changes.

I tried to fix the bug mentioned here. This is my first time so it may not be
perfect :( I am looking forward for the reviews and I'll try to fix any
problems.
Thank you.

The diff is here too:

https://git.reviewboard.kde.org/r/100998/